
Redmine - Feature #2115

SVN authentication needed for public project

2008-10-31 02:06 - Sander Datema

Status: New Start date: 2008-10-31

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

In some cases an administrator wants to track who is downloading from the svn. Using Redmine.pm that is easy, but only when the

project is not public.

What I need is that users who are not a member of a public project, still need to authenticate when loggin into svn, meaning they

need to register at the redmine project page.

So in Redmine.pm it needs to check if a project is public, but still needs svn auth access.

I'm not a perl programmer, so I could not change it.

Changes needed:

- Redmine.pm should check if project is public, but not open for anonymous access

- Redmine project settings need 'no anon access' switch

History

#1 - 2008-11-10 09:28 - Overmind Eternal Will

+1 to the features request. :P

sander you can comment a line of code in redmine.pm to get basically what you want.

Where the redmine check if the project is public, let it ignore the flag.

I hope it helps.

#2 - 2008-11-10 12:08 - Sander Datema

Overmind Eternal Will wrote:

Where the redmine check if the project is public, let it ignore the flag.

 The idea is nice, however ommitting that flag makes Redmine.pm wants the user to be a member of the project. And since members won't be that by

default, it's still a problem.

#3 - 2008-11-20 14:50 - Liwiusz Ociepa

Apache option will be ok?

Something like RedminePublicProjectAnonAccess true|false?

#4 - 2008-11-20 15:23 - Sander Datema

Yeah, that might work. Unless you work with a parent SVN path, in case it won't work.

#5 - 2008-12-08 19:35 - Jon Collette

+1 :)  Another suggestion for this feature would be to allow public & anon reads and writes to svn and to redmine separately.

Thanks Overmind.  Commenting out lines 208 & 209 worked for me.

1. $r->set_handlers(PerlAuthenHandler => [\&OK])

2. if is_public_project($project_id, $r);

#6 - 2011-03-24 07:42 - Toshi MARUYAMA

- Category changed from SCM to SCM extra
